View Issue Details

IDProjectCategoryView StatusLast Update
0003008Far ManagerFast Findpublic2015-12-07 21:46
ReportermishatalAssigned ToDrKnS 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003008: Crash during search in Files
DescriptionПри поиске файлов по маске всё включено "*" и фильтру Containing text: "строка для поиска" Far выпадает в Crash.
Steps To ReproduceStart search in the folder which has 100k+ of files.
Additional InformationПроисходит на определённом компьютере, я подозреваю что связано с уровнем доступа. Кроме того компьютер работает на новой операционной системе Windows 10, что возможно привнесёт несовместимость с текущей версией Far.

Exception: Access violation
Address: I don't think it is relevant
Function: FindFiles::ThreadRoutine
Madule: C:\Program Files\Far Manager\Far.exe

Нет символов для текущей сборки, поэтому стек выглядит:
> KernelBase.dll!DebugBreak() Line 143 C
     Far.exe!00007ff6285044ce() Unknown
     Far.exe!00007ff6284b76e6() Unknown
     Far.exe!00007ff6284bef62() Unknown
     Far.exe!00007ff6284c5f4c() Unknown
     Far.exe!00007ff6284b6555() Unknown
     Far.exe!00007ff6284c2f42() Unknown
     Far.exe!00007ff6285ca85f() Unknown
     Far.exe!00007ff6285caafc() Unknown
     Far.exe!00007ff6284c6de3() Unknown
     Far.exe!00007ff628505a55() Unknown
     Far.exe!00007ff628506310() Unknown
     Far.exe!00007ff6286d9553() Unknown
     Far.exe!00007ff6286a6350() Unknown
     Far.exe!00007ff628697ddf() Unknown
     [External Code]
     Far.exe!00007ff62856969a() Unknown
     Far.exe!00007ff62856074b() Unknown
     Far.exe!00007ff62868e61f() Unknown
     Far.exe!00007ff62868e6b3() Unknown
     [External Code]

TagsNo tags attached.
Build4447

Activities

Px

2015-06-13 21:29

reporter   bugnote:0013678

Не, без символов это фигня, держи свежий ночной билд со всем нужным - http://www.cs.iptcom.net/tmp/Debug.32.vc.7z, и давай на нём стек падения

mishatal

2015-06-18 00:45

reporter   bugnote:0013680

Эта версия Debug x86. Работает. Проблема на Release x64. (Спекуляция) Возможно где-то что-то не инициализируется нулями... Можно мне ссылку на проект, чтобы самому сбилдить можно было? Если нет, то нужны обе Debug+Release x64.

Px

2015-06-18 02:54

reporter   bugnote:0013681

Дык
http://farmanager.com/opensource.php?l=ru

2useven10

2015-10-31 13:45

developer   bugnote:0014032

Актуально?

mishatal

2015-11-04 02:41

reporter   bugnote:0014056

Да, ещё падает. Были личные проблемы - сегодня попробую.

mishatal

2015-11-04 22:36

reporter   bugnote:0014060

Под дебагером не падает. Попробовал обе x64 (chk+fre), отличие - версия которая падает 4391, а скомпилированная 4453. Сегодня обновлюсь, побегаю с новой версией, если не падает, отпишусь и можно будет закрывать.

2useven10

2015-11-05 10:44

developer   bugnote:0014061

В поиске недавно была исправлена ошибка, даже 2 ошибки (4447, 4451).
Под дебагером не проявлялись, по крайней мере у меня.

mishatal

2015-12-07 21:16

reporter   bugnote:0014116

Да, похоже проблема исправлена. Можно закрывать.

Issue History

Date Modified Username Field Change
2015-06-11 22:45 mishatal New Issue
2015-06-13 21:29 Px Note Added: 0013678
2015-06-18 00:45 mishatal Note Added: 0013680
2015-06-18 02:54 Px Note Added: 0013681
2015-10-31 13:45 2useven10 Note Added: 0014032
2015-11-04 02:41 mishatal Note Added: 0014056
2015-11-04 22:36 mishatal Note Added: 0014060
2015-11-05 10:44 2useven10 Note Added: 0014061
2015-12-07 21:16 mishatal Note Added: 0014116
2015-12-07 21:46 DrKnS Build => 4447
2015-12-07 21:46 DrKnS Status new => closed
2015-12-07 21:46 DrKnS Assigned To => DrKnS
2015-12-07 21:46 DrKnS Resolution open => fixed
2015-12-07 21:46 DrKnS Fixed in Version => 3.0